Bug 14105 - При запуске kontact он рушится по сегфолту
: При запуске kontact он рушится по сегфолту
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/basket)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-01-21 09:47 by
Modified: 2008-10-09 12:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-01-21 09:47:38
При запуске kontact он рушится по сегфолту со следующей отладочной информацией:
(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1235703584 (LWP 8106)]
[New Thread -1279210608 (LWP 8110)]
[New Thread -1270822000 (LWP 8109)]
[New Thread -1262433392 (LWP 8108)]
[New Thread -1254044784 (LWP 8107)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[KCrash handler]
#5  0xb6ff2897 in QWidget::raise () from /usr/lib/libqt-mt.so.3
#6  0xb31dc440 in Archive::open () from /usr/lib/libbasketcommon.so
#7  0xb31eef75 in BNPView::addWelcomeBaskets ()
   from /usr/lib/libbasketcommon.so
#8  0xb31ef5a9 in BNPView::lateInit () from /usr/lib/libbasketcommon.so
#9  0xb31f0492 in BNPView::qt_invoke () from /usr/lib/libbasketcommon.so
#10 0xb705bdb2 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#11 0xb72993f2 in QSignal::signal () from /usr/lib/libqt-mt.so.3
#12 0xb706f4f4 in QSignal::activate () from /usr/lib/libqt-mt.so.3
#13 0xb7074406 in QSingleShotTimer::event () from /usr/lib/libqt-mt.so.3
#14 0xb701aae4 in QApplication::internalNotify () from /usr/lib/libqt-mt.so.3
#15 0xb701b122 in QApplication::notify () from /usr/lib/libqt-mt.so.3
#16 0xb7502bb7 in KApplication::notify () from /usr/lib/libkdecore.so.4
#17 0xb7b3130e in QApplication::sendEvent () from /usr/lib/libkhtml.so.4
#18 0xb700cee7 in QEventLoop::activateTimers () from /usr/lib/libqt-mt.so.3
#19 0xb6fdc1df in QEventLoop::processEvents () from /usr/lib/libqt-mt.so.3
#20 0xb7026d6f in QEventLoop::processEvents () from /usr/lib/libqt-mt.so.3
#21 0xb70160cf in QApplication::processEvents () from /usr/lib/libqt-mt.so.3
#22 0xb70160f7 in QApplication::processEvents () from /usr/lib/libqt-mt.so.3
#23 0xb584c859 in KMAcctLocal::processNewMail ()
   from /usr/lib/libkmailprivate.so
#24 0xb584744d in KMail::AccountManager::processNextCheck ()
   from /usr/lib/libkmailprivate.so
#25 0xb58474fd in KMail::AccountManager::singleCheckMail ()
   from /usr/lib/libkmailprivate.so
#26 0xb58476cc in KMail::AccountManager::checkMail ()
   from /usr/lib/libkmailprivate.so
#27 0xb59130a7 in KMMainWidget::slotCheckMail ()
   from /usr/lib/libkmailprivate.so
#28 0xb5922225 in KMMainWidget::qt_invoke () from /usr/lib/libkmailprivate.so
#29 0xb705bdb2 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#30 0xb72993f2 in QSignal::signal () from /usr/lib/libqt-mt.so.3
#31 0xb706f4f4 in QSignal::activate () from /usr/lib/libqt-mt.so.3
#32 0xb7074406 in QSingleShotTimer::event () from /usr/lib/libqt-mt.so.3
#33 0xb701aae4 in QApplication::internalNotify () from /usr/lib/libqt-mt.so.3
#34 0xb701b122 in QApplication::notify () from /usr/lib/libqt-mt.so.3
#35 0xb7502bb7 in KApplication::notify () from /usr/lib/libkdecore.so.4
#36 0xb7b3130e in QApplication::sendEvent () from /usr/lib/libkhtml.so.4
#37 0xb700cee7 in QEventLoop::activateTimers () from /usr/lib/libqt-mt.so.3
#38 0xb6fdc1df in QEventLoop::processEvents () from /usr/lib/libqt-mt.so.3
#39 0xb5a6b707 in SummaryWidget::initDocuments ()
   from /usr/lib/kde3/libkontact_newstickerplugin.so
#40 0xb5a6bbc1 in SummaryWidget::SummaryWidget ()
   from /usr/lib/kde3/libkontact_newstickerplugin.so
#41 0xb5a6a229 in NewsTickerPlugin::createSummaryWidget ()
   from /usr/lib/kde3/libkontact_newstickerplugin.so
#42 0xb5ca9906 in SummaryViewPart::updateWidgets ()
   from /usr/lib/kde3/libkontact_summaryplugin.so
#43 0xb5caa10d in SummaryViewPart::initGUI ()
   from /usr/lib/kde3/libkontact_summaryplugin.so
#44 0xb5caa209 in SummaryViewPart::SummaryViewPart ()
   from /usr/lib/kde3/libkontact_summaryplugin.so
#45 0xb5ca7cb1 in SummaryView::createPart ()
   from /usr/lib/kde3/libkontact_summaryplugin.so
#46 0xb7d9f98e in Kontact::Plugin::part () from /usr/lib/libkpinterfaces.so.1
#47 0x0805ce63 in ?? ()
#48 0x083133c8 in ?? ()
#49 0x00000000 in ?? ()
------- Comment #1 From 2008-01-21 17:28:27 -------
Это в плагине от basket
------- Comment #2 From 2008-01-21 17:45:15 -------
(In reply to comment #1)
> Это в плагине от basket

Спасибо! Действительно так. Удаление из системы basket данную проблему решило,
хотя это и не правильно.
------- Comment #3 From 2008-06-13 13:00:39 -------
*** This bug has been confirmed by popular vote. ***
------- Comment #4 From 2008-10-09 12:31:46 -------
Думаю, что уже исправлено. Я при сборке новой версии взял патчи из Мандривы.
Может они помогли, а может и так, в апстримах поработали.

Версии:
basket-1.0.3.1-alt2
kdepim-kontact-3.5.10-alt1

Всё работает. Перевожу в разряд FIXED, если у кого-то возникнет снова -
переоткроете.